SKB_PAD(9)

NAME
skb_pad - zero pad the tail of an skb

SYNOPSIS

int skb_pad(struct sk_buff * skb, int pad);

ARGUMENTS

skb
    buffer to pad

pad
    space to pad

DESCRIPTION

Ensure that a buffer is followed by a padding area that is zero filled. Used by network drivers which may DMA or transfer data beyond the buffer end onto the wire.

May return error in out of memory cases. The skb is freed on error.

COPYRIGHT